Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Partially update support contingent

Partially updates an existing support contingent. Only provided fields will be updated.

Optional fields (update only what you need):

  • title: Update title
  • fromDate: Update start date
  • toDate: Update end date
  • frequency: Update frequency
  • price: Update price
  • hours: Update hours
  • transferable: Update transferability

Note: Fields not included in the request will remain unchanged.

PATCH/administration/project-settings/support-contingents/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
frequencynumber

Frequency in months for the contingent period

fromDatestring

Start date of the contingent period (ISO 8601 date format)

hoursnumber

Total hours allocated for the contingent period

pricenumber

Total price for the contingent period

titlestring

Title or name of the support contingent plan

toDatestring

End date of the contingent period (ISO 8601 date format)

transferableboolean

Whether unused hours can be transferred to the next period

Responses
200

Support contingent updated successfully

successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH "https://leadtime.app/api/public/administration/project-settings/support-contingents/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "frequency": 12,
  "fromDate": "2025-01-01",
  "hours": 120,
  "price": 10000,
  "title": "Maintenance flatrate",
  "toDate": "2025-12-31",
  "transferable": false
}'
Response
{
  "success": true
}